Often, the display will tell me that the torrent is a file when it is really a folder...

Bug #518692 reported by wizodd on 2010-02-08
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Transmission
Fix Released
Unknown
transmission (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: transmission

Not muchto add.

When a torrent is done, I often take a look at the contents to see what is actually there...I do this by opening the containing folder if it's a folder, and by searching the download location if it is a file.

Often I open a folder and instead of getting a subfolder in downloads I get the downloads folder as the torrent was actually a folder contaning a single(?) file.

ProblemType: Bug
Architecture: amd64
CheckboxSubmission: 03470ed937a044d79ec5cfa41f843b74
CheckboxSystem: edda5d4f616ca792bf437989cb597002
Date: Mon Feb 8 00:34:05 2010
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/bin/transmission
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
NonfreeKernelModules: nvidia
Package: transmission-gtk 1.75-0ubuntu2.2
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-19.56-generic
SourcePackage: transmission
Uname: Linux 2.6.31-19-generic x86_64

wizodd (wizodd-gmail) wrote :
Charles Kerr (charlesk) on 2010-02-08
description: updated
Charles Kerr (charlesk) wrote :

Hi wizodd,

Thanks for taking the time to report this issue and make Ubuntu better.

I've never seen that behavior before. Could you mail me the address of a public tracker torrent that shows this behavior?

Is there a way to pull the torrent (.torrent) file from Transmission
directly? I'm not sure where the .torrent file is stored....

On Wed, Feb 17, 2010 at 6:47 AM, charles <email address hidden> wrote:

> Hi wizodd,
>
> Thanks for taking the time to report this issue and make Ubuntu better.
>
> I've never seen that behavior before. Could you mail me the address of
> a public tracker torrent that shows this behavior?
>
> --
> Often, the display will tell me that the torrent is a file when it is
> really a folder...
> https://bugs.launchpad.net/bugs/518692
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “transmission” package in Ubuntu: New
>
> Bug description:
> Binary package hint: transmission
>
> Not muchto add.
>
> When a torrent is done, I often take a look at the contents to see what is
> actually there...I do this by opening the containing folder if it's a
> folder, and by searching the download location if it is a file.
>
> Often I open a folder and instead of getting a subfolder in downloads I get
> the downloads folder as the torrent was actually a folder contaning a
> single(?) file.
>
> ProblemType: Bug
> Architecture: amd64
> CheckboxSubmission: 03470ed937a044d79ec5cfa41f843b74
> CheckboxSystem: edda5d4f616ca792bf437989cb597002
> Date: Mon Feb 8 00:34:05 2010
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/transmission
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
> NonfreeKernelModules: nvidia
> Package: transmission-gtk 1.75-0ubuntu2.2
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-19.56-generic
> SourcePackage: transmission
> Uname: Linux 2.6.31-19-generic x86_64
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/transmission/+bug/518692/+subscribe
>

"

The International Labor Organization (ILO) estimates that 12.3 million
people worldwide are enslaved in forced labor, bonded labor, forced child
labor, sexual servitude, and involuntary servitude at any given time.

One significant change in the past 500 years has been the need to unlearn
what you "know" to be true.

caffeine - a psychoactive stimulant

Concentrated power has always been the enemy of liberty. - Ronald Reagan

"...I wouldn't advocate driving while sedated,..." -Dr. Joyce Brothers

«Knowledge is power, and reading is the beginning of knowledge. The fact
that some societies keep citizens uneducated and illiterate should tell us
something very important...»
«La connaissance, c'est le pouvoir, et la lecture est le commencement de la
connaissance. Le fait que certaines sociétés maintiennent des citoyens dans
l'illettrisme et les privent d'éducation devrait nous interpeler très
sérieusement.»

Stupidity is a condition.
Ignorance is a choice.

Oliver's Law:
Experience is something you don't get until just after you need it.

It ain't what you don't know that gets you into trouble. It's what you know
for sure that just ain't so. - Mk Twain

"God will forgive me. It's his job." -Heinrich Heine (1797-1856)

Charles Kerr (charlesk) wrote :

> Is there a way to pull the torrent (.torrent) file from Transmission directly? I'm not sure where the .torrent file is stored....

In $HOME/.config/transmission/torrents/

Changed in transmission (Ubuntu):
status: New → Incomplete
wizodd (wizodd-gmail) wrote :

This one shows as a film real icon, but downloads to a folder....

(I managed to somehow change the opening application for folders from the
file manager to find files & haven't got it back yet...been a long time
since I was using any *nix systems....)

On Wed, Feb 17, 2010 at 5:29 PM, charles <email address hidden> wrote:

> > Is there a way to pull the torrent (.torrent) file from Transmission
> directly? I'm not sure where the .torrent file is stored....
>
> In $HOME/.config/transmission/torrents/
>
> ** Changed in: transmission (Ubuntu)
> Status: New => Incomplete
>
> --
> Often, the display will tell me that the torrent is a file when it is
> really a folder...
> https://bugs.launchpad.net/bugs/518692
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “transmission” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: transmission
>
> Not muchto add.
>
> When a torrent is done, I often take a look at the contents to see what is
> actually there...I do this by opening the containing folder if it's a
> folder, and by searching the download location if it is a file.
>
> Often I open a folder and instead of getting a subfolder in downloads I get
> the downloads folder as the torrent was actually a folder contaning a
> single(?) file.
>
> ProblemType: Bug
> Architecture: amd64
> CheckboxSubmission: 03470ed937a044d79ec5cfa41f843b74
> CheckboxSystem: edda5d4f616ca792bf437989cb597002
> Date: Mon Feb 8 00:34:05 2010
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/transmission
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
> NonfreeKernelModules: nvidia
> Package: transmission-gtk 1.75-0ubuntu2.2
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-19.56-generic
> SourcePackage: transmission
> Uname: Linux 2.6.31-19-generic x86_64
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/transmission/+bug/518692/+subscribe
>

Charles Kerr (charlesk) wrote :

Ah, I see what you're talking about now. Thanks for the example.

Changed in transmission (Ubuntu):
status: Incomplete → Triaged
status: Triaged → In Progress
Charles Kerr (charlesk) wrote :

Fixed in trunk for 1.92

Changed in transmission:
status: Unknown → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package transmission - 1.92-0ubuntu1

---------------
transmission (1.92-0ubuntu1) lucid; urgency=low

  [ Krzysztof Klimonda ]
  * New upstream release (LP: #538034), rebased on debian testing.
    Remaining changes:
    - debian/control:
      + Added replaces & provides clutch (now included as part of transmission).
        Can be removed in lucid+1
      + Added liblaunchpad-integration-dev and lsb-release to Build-Depends
    - debian/rules:
      + create a po template during package build.
    - debian/patches/01_lpi.patch:
      + integrate transmission with launchpad
    - debian/patches/20_add_x-ubuntu-gettext-domain.diff:
      + add x-ubuntu-gettext-domain to .desktop file.
    - debian/transmission-daemon.default:
      - remove --auth from OPTIONS
    - debian/control, debian/rules:
      + build transmission gtk+ client with both gconf and libcanberra support.
    - debian/patches/dont_build_libevent.patch:
      + disable libevent in configure.ac and Makefile.am because we use autotools
        to regenerate build files.
    - lucid/debian/patches/updateminiupnpcstrings_double_escape_slash.patch:
      + Deleted as the bug is fixed upstream
  * Fixes bugs:
    - Fix directory selection error in GTK+ 2.19 (LP: #518692)
    - Transmission "Set Location" - dialog doesn't disappear (LP: #529037)
    - The "Torrent Options" dialog's Torrent Priority row gets too much
      vertical stretch (LP: #527299)
    - "Open Folder" behavior can be confusing for single-file torrents
      (LP: #505861)
  * Refreshed 99_autoreconf.patch

  [ Chris Coulson ]
  * debian/patches/disable_web_ui.patch:
    - Disable the web UI by default again (LP: #542194)
 -- Krzysztof Klimonda <email address hidden> Wed, 03 Mar 2010 02:55:26 +0100

Changed in transmission (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.